git_merge_result-class {git2r} | R Documentation

## S4 class to handle the merge result

### Description

Class `"git_merge_result"`

### Slots

up_to_date

  TRUE if the merge is already up-to-date, else FALSE.

fast_forward

  TRUE if a fast-forward merge, else FALSE.

conflicts

  TRUE if the index contain entries representing file conflicts, else FALSE.

sha

  If the merge created a merge commit, the sha of the merge commit. NA if no merge commit created.

[Package git2r version 0.20.0 Index]